%define dist .el5

%ifarch %ix86 x86_64 ppc ia64 armv4l sparc s390 s390x
# defined to zero, because beehive doesn't do macros for BuildRequires
%define with_mono 0
%else
%define with_mono 0
%endif
ExcludeArch: s390 s390x
Summary: Library for the GNOME Bluetooth Subsystem
Name: libbtctl
Version: 0.6.0
Release: 9.2%{dist}.XOS.1
License: GPL
Group: System Environment/Libraries
URL: http://usefulinc.com/software/gnome-bluetooth 
Source: http://usefulinc.com/software/gnome-bluetooth/releases/%{name}-%{version}.tar.bz2
Source1: libbtctl-0.6.0-docs.tar.bz2
%define pyver %(%{__python} -c "import sys; print sys.version[:3]")
Requires: python-abi = %{pyver}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: bluez-libs-devel, glib2-devel, autoconf >= 0:2.57 
BuildRequires: openobex-devel >= 0:1.1, pygtk2-devel, gtk2-devel
BuildRequires: python, python-devel, gettext, automake, libtool, intltool

%if %{with_mono}
#BuildRequires: mono-devel gtk-sharp-gapi gtk-sharp
%endif

Patch1: libbtctl-0.6.0-libdir.patch
Patch2: libbtctl-0.4.1-pydir.patch
Patch3: libbtctl-0.6.0-crash.patch
Patch4: libbtctl-0.6.0-print.patch
Patch5: libbtctl-0.6.0-gettext.patch

%description
Library for the GNOME Bluetooth Subsystem

%package devel
Summary: Development files for libbtctl.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel

%description devel
This package contains the files needed for developing applications,
which use libbtctl.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -a 1
%patch1 -p1 -b .libdir
%patch2 -p1 -b .pydir
%patch3 -p1 -b .crash
%patch4 -p1 -b .print
%patch5 -p1 -b .gettext
aclocal
automake -a
autoconf

%build
%configure \
%if %{with_mono}
	;
%else
	--disable-mono
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# we do not want .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/python?.?/site-packages/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/python?.?/site-packages/*.la

%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_libdir}/lib*.so.*
%{_libdir}/python?.?/site-packages/*btctl*
%if %{with_mono}
%{_libdir}/mono/gac/btctl/*/btctl.dll
%{_libdir}/mono/libbtctl/btctl.dll
%{_datadir}/gapi/btctl-api.xml
%endif

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/libbtctl.pc
%{_includedir}/libbtctl
%{_datadir}/gtk-doc/html/libbtctl
%if %{with_mono}
%{_libdir}/pkgconfig/libbtctl-sharp.pc
%endif

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.6.0-9.2.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on libbtctl-0.6.0-9.2.el5.src.rpm
  (md5sum of original source rpm: 7b9c2f31012f74db989dd83e661e6c1c).
- Include "dist" macro with value ".el5" to match the original release number.

* Fri Jan 12 2007 Harald Hoyer <harald@redhat.com> - 0.6.0-9.2%{dist}
- use precompiled gtk-docs because of multilib issues (bug #222165)
- Resolves: rhbz#222165

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-9.1
- rebuild

* Wed Jun 14 2006 Harald Hoyer <harald@redhat.com> - 0.6.0-9
- rebuilt for openobex

* Sun Jun 11 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-8
- Bump for new libbluetooth

* Wed Jun  7 2006 Harald Hoyer <harald@redhat.com> - 0.6.0-7
- printf format corrected
- more build requires

* Wed May 17 2006 Harald Hoyer <harald@redhat.com> 0.6.0-6
- added more build requirements (bug #191981)

* Thu Feb 23 2006 Matthias Clasen <mclasen@redhat.com> 0.6.0-5
- try a fix for (#179413)

* Thu Feb 23 2006 Harald Hoyer <harald@redhat.com> 0.6.0-2
- rebuild

* Thu Feb 16 2006 Harald Hoyer <harald@redhat.com> 0.6.0-1
- version 0.6.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.5.0-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.0-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Sep 28 2005 Harald Hoyer <harald@redhat.com> 0.5.0-1
- new version 0.5.0

* Tue Jul 19 2005 Harald Hoyer <harald@redhat.com> 0.4.1-8
- added gtk2-devel to BuildRequires

* Thu Apr 21 2005 Harald Hoyer <harald@redhat.com> 0.4.1-7
- rebuild with requires python-abi

* Wed Mar 30 2005 Warren Togami <wtogami@redhat.com> 0.4.1-6
- devel req glib2-devel for pkgconfig (#152497)

* Wed Mar 02 2005 Harald Hoyer <harald@redhat.com> 
- rebuilt

* Wed Feb 09 2005 Harald Hoyer <harald@redhat.com>
- rebuilt

* Fri Oct 08 2004 Harald Hoyer <harald@redhat.de> 0.4.1-3
- buildrequires pygtk2-devel

* Fri Sep 24 2004 Harald Hoyer <harald@redhat.de> 0.4.1-2
- split out devel package
- require openobex >= 1.0.1
- patch for lib64 python path

* Thu Jul 22 2004 Harald Hoyer <harald@redhat.de> 0.4.1-1
- version 0.4.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 25 2004 Harald Hoyer <harald@redhat.de> 0.3-6
- buildrequire bluez-libs-devel and glib2-devel

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Aug  5 2003 Harald Hoyer <harald@redhat.de> 0.3-4
- make shared library

* Tue Aug  5 2003 Harald Hoyer <harald@redhat.de> 0.3-3
- BuildRequires bluez-sdp

* Tue Jun 24 2003 Harald Hoyer <harald@redhat.de> 0.3-2
- exclude arch s390

* Wed Jun  5 2003 Harald Hoyer <harald@redhat.de> 0.3-1
- initial RPM


